weka.knowledgeflow.steps

## Class ImageSaver

- java.lang.Object
- - weka.knowledgeflow.steps.BaseStep
  - - weka.knowledgeflow.steps.ImageSaver

- All Implemented Interfaces:
    java.io.Serializable, BaseStepExtender, Step

      @KFStep(name="ImageSaver",
              category="DataSinks",
              toolTipText="Save static images to a file",
              iconPath="weka/gui/knowledgeflow/icons/SerializedModelSaver.gif")
      public class ImageSaver
      extends BaseStep

  Step for saving static images as either png or gif.
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ImageSaver.ImageSaverDefaults`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageSaver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Defaults` | `getDefaultSettings()` Get default settings for the step.
    `java.io.File` | `getFile()` Get the file to save to
    `weka.knowledgeflow.steps.ImageSaver.ImageFormat` | `getFormat()` Get the format of the image to save
    `java.util.List<java.lang.String>` | `getIncomingConnectionTypes()` Get a list of incoming connection types that this step can accept.
    `java.util.List<java.lang.String>` | `getOutgoingConnectionTypes()` Get a list of outgoing connection types that this step can produce.
    `void` | `processIncoming(Data data)` Process an incoming data payload (if the step accepts incoming connections)
    `void` | `setFile(java.io.File f)` Set the file to save to
    `void` | `setFormat(weka.knowledgeflow.steps.ImageSaver.ImageFormat format)` Set the format of the image to save
    `void` | `stepInit()` Initialize the step.

    - ### Methods inherited from class weka.knowledgeflow.steps.BaseStep

      `environmentSubstitute, getCustomEditorForStep, getInteractiveViewers, getInteractiveViewersImpls, getName, getStepManager, globalInfo, isResourceIntensive, isStopRequested, outputStructureForConnectionType, setName, setStepIsResourceIntensive, setStepManager, setStepMustRunSingleThreaded, start, stepMustRunSingleThreaded, stop`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageSaver

          public ImageSaver()

  - ### Method Detail

    - #### setFile

          @OptionMetadata(displayName="File to save to",
                          description="<html>The file to save an image to<br>The variable \'image_count\' may be used as<br>part of the filename/path in order to differentiate<br>multiple images.</html>",
                          displayOrder=1)
           @FilePropertyMetadata(fileChooserDialogType=0,
                                directoriesOnly=false)
          public void setFile(java.io.File f)

      Set the file to save to
      Parameters:
        `f` - the file to save to

    - #### getFile

          public java.io.File getFile()

      Get the file to save to
      Returns:
        the file to save to

    - #### setFormat

          @OptionMetadata(displayName="Format to save image as",
                          description="Format to save to",
                          displayOrder=2)
          public void setFormat(weka.knowledgeflow.steps.ImageSaver.ImageFormat format)

      Set the format of the image to save
      Parameters:
        `format` -

    - #### getFormat

          public weka.knowledgeflow.steps.ImageSaver.ImageFormat getFormat()

      Get the format of the image to save
      Returns:
        the format of the image to save

    - #### stepInit

          public void stepInit()
                        throws WekaException

      Initialize the step.
      Throws:
        `WekaException` - if a problem occurs during initialization

    - #### getIncomingConnectionTypes

          public java.util.List<java.lang.String> getIncomingConnectionTypes()

      Get a list of incoming connection types that this step can accept. Ideally (and if appropriate), this should take into account the state of the step and any existing incoming connections. E.g. a step might be able to accept one (and only one) incoming batch data connection.
      Returns:
        a list of incoming connections that this step can accept given its current state

    - #### getOutgoingConnectionTypes

          public java.util.List<java.lang.String> getOutgoingConnectionTypes()

      Get a list of outgoing connection types that this step can produce. Ideally (and if appropriate), this should take into account the state of the step and the incoming connections. E.g. depending on what incoming connection is present, a step might be able to produce a trainingSet output, a testSet output or neither, but not both.
      Returns:
        a list of outgoing connections that this step can produce

    - #### processIncoming

          public void processIncoming(Data data)
                               throws WekaException

      Process an incoming data payload (if the step accepts incoming connections)
      Specified by:
        `processIncoming` in interface `BaseStepExtender`
      Specified by:
        `processIncoming` in interface `Step`
      Overrides:
        `processIncoming` in class `BaseStep`
      Parameters:
        `data` - the payload to process
      Throws:
        `WekaException` - if a problem occurs

    - #### getDefaultSettings

          public Defaults getDefaultSettings()

      Get default settings for the step.
      Specified by:
        `getDefaultSettings` in interface `Step`
      Overrides:
        `getDefaultSettings` in class `BaseStep`
      Returns:
        the default settings